Subject: Shower curtain
From: Dena Katch <[email-masked]>
To: [email-masked]
Date: Tue, 30 Sep 2025 13:40:47 +0300

To whom this concerns:

Hello. I bought your Madison Park Spa Waffle Shower Curtain on Amazon and although it
is a lovely look, I have never had so much mold and mildew on a shower curtain before.
I have tried all the techniques and it just won’t come off. I am a super clean person and 
wash my shower curtains every few weeks. This one has never come clean and it has 
gotten so bad it’s heading to the garbage. It was advertised as 3M guarded against such
things but it has been a complete failure. 

Please advise as I don’t like throwing my money in the garbage.

Thank you,
Dena Katch
[email-masked]